- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# Various definitions for Speex callbacks supported by the decoder.

## Classes
struct | SpeexCallback
## Defines
#define | SPEEX_MAX_CALLBACKS 16
#define | SPEEX_INBAND_ENH_REQUEST 0
#define | SPEEX_INBAND_RESERVED1 1
#define | SPEEX_INBAND_MODE_REQUEST 2
#define | SPEEX_INBAND_LOW_MODE_REQUEST 3
#define | SPEEX_INBAND_HIGH_MODE_REQUEST 4
#define | SPEEX_INBAND_VBR_QUALITY_REQUEST 5
#define | SPEEX_INBAND_ACKNOWLEDGE_REQUEST 6
#define | SPEEX_INBAND_VBR_REQUEST 7
#define | SPEEX_INBAND_CHAR 8
#define | SPEEX_INBAND_STEREO 9
#define | SPEEX_INBAND_MAX_BITRATE 10
#define | SPEEX_INBAND_ACKNOWLEDGE 12
## Typedefs
typedef int(*) | speex_callback_func (SpeexBits *bits, void *state, void *data)
## Functions
int | speex_inband_handler (SpeexBits *bits, SpeexCallback *callback_list, void *state)
int | speex_std_mode_request_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_high_mode_request_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_char_handler (SpeexBits *bits, void *state, void *data)
int | speex_default_user_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_low_mode_request_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_vbr_request_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_enh_request_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_vbr_quality_request_handler (SpeexBits *bits, void *state, void *data)

## Define Documentation

#define SPEEX_INBAND_ACKNOWLEDGE 12

Acknowledge packet reception

#define SPEEX_INBAND_ACKNOWLEDGE_REQUEST 6

Request to be sent acknowledge

#define SPEEX_INBAND_CHAR 8

Send a character in-band

#define SPEEX_INBAND_ENH_REQUEST 0

Request for perceptual enhancement (1 for on, 0 for off)

#define SPEEX_INBAND_HIGH_MODE_REQUEST 4

Request for a high mode change

#define SPEEX_INBAND_LOW_MODE_REQUEST 3

Request for a low mode change

#define SPEEX_INBAND_MAX_BITRATE 10

Transmit max bit-rate allowed

#define SPEEX_INBAND_MODE_REQUEST 2

Request for a mode change

#define SPEEX_INBAND_RESERVED1 1

Reserved

#define SPEEX_INBAND_STEREO 9

Intensity stereo information

#define SPEEX_INBAND_VBR_QUALITY_REQUEST 5

Request for VBR (1 on, 0 off)

#define SPEEX_INBAND_VBR_REQUEST 7

Request for VBR (1 for on, 0 for off)

#define SPEEX_MAX_CALLBACKS 16

Total number of callbacks

## Typedef Documentation

typedef int(*) speex_callback_func(SpeexBits *bits, void *state, void *data)

Callback function type

## Function Documentation

int speex_default_user_handler | ( | SpeexBits * | bits,
|  | void * | state,
|  | void * | data |
| ) |  |  |

Default handler for user-defined requests: in this case, just ignore

int speex_inband_handler | ( | SpeexBits * | bits,
|  | SpeexCallback * | callback_list,
|  | void * | state |
| ) |  |  |

Handle in-band request

int speex_std_char_handler | ( | SpeexBits * | bits,
|  | void * | state,
|  | void * | data |
| ) |  |  |

Standard handler for in-band characters (write to stderr)

int speex_std_enh_request_handler | ( | SpeexBits * | bits,
|  | void * | state,
|  | void * | data |
| ) |  |  |

Standard handler for enhancer request (Turn enhancer on/off, no questions asked)

int speex_std_high_mode_request_handler | ( | SpeexBits * | bits,
|  | void * | state,
|  | void * | data |
| ) |  |  |

Standard handler for high mode request (change high mode, no questions asked)

int speex_std_low_mode_request_handler | ( | SpeexBits * | bits,
|  | void * | state,
|  | void * | data |
| ) |  |  |

Standard handler for low mode request (change low mode, no questions asked)

int speex_std_mode_request_handler | ( | SpeexBits * | bits,
|  | void * | state,
|  | void * | data |
| ) |  |  |

Standard handler for mode request (change mode, no questions asked)

int speex_std_vbr_quality_request_handler | ( | SpeexBits * | bits,
|  | void * | state,
|  | void * | data |
| ) |  |  |

Standard handler for VBR quality request (Set VBR quality, no questions asked)

int speex_std_vbr_request_handler | ( | SpeexBits * | bits,
|  | void * | state,
|  | void * | data |
| ) |  |  |

Standard handler for VBR request (Set VBR, no questions asked)